// forked from makc3d's Simple LRC player
package  {
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.ProgressEvent;
	import flash.media.Sound;
	import flash.net.URLRequest;
	import flash.text.TextField;
	import flash.utils.setTimeout;
	
	/**
	* Forked to "Read Along" on March 5, 2010 
	* Changes = font color and LRC data
	
	* Forked from....
	* Simple LRC player. Can easily go out of sync online.
	* @author makc
	* @license WTFPLv2
	* 
	*/
	public class LRCPlayer extends Sprite {
		private var tf:TextField;
		
		public function LRCPlayer () {
			var s:Sound = new Sound;
			s.addEventListener (ProgressEvent.PROGRESS, start);
			s.load (new URLRequest ("http://www.voanews.com/MediaAssets2/learningenglish/dalet/se-econ-corp-history-5mar10.Mp3"));
			s.play ();
		}

		private function start (e:ProgressEvent):void {
			if (e.bytesLoaded < 1) return;
			e.target.removeEventListener (ProgressEvent.PROGRESS, start);

			tf = new TextField;
			//tf.width = 120;
			tf.textColor = 0x000000;
			tf.autoSize = "left";

						addChild (tf);

			var lines:Array = lrc.toString().split("\n");
			for each (var line:String in lines) {
				var a:Array = line.match (/^\[(\d+)\:([\d\.]+)\](.*)$/);
				if (a != null) {
					trace (a)
					setTimeout (function (msg:String):void { tf.text = msg; },
						parseInt (a[1]) * 60 * 1000 + parseFloat (a[2]) * 1000,
						a [3]);
				}
			}
		}
		
		private var lrc:XML = <lrc>[ti:How a Corporation Is Like a Person]
[ar:Steve Ember]
[al:Economics Report 2010-03-04]
[00:00.00]This is the VOA Special English 
[00:03.32]Economics Report.
[00:05.29]Recently the United States 
[00:07.57]Supreme Court decided a big case 
[00:10.49]about political speech. 
[00:12.37]The question was this: 
[00:14.79]With political speech, 
[00:16.83]do corporations have 
[00:20.09]the same rights as people?
[00:22.52]By a vote of five to four, 
[00:25.10]the conservative majority 
[00:27.12]on the court decided yes. 
[00:29.75]Companies, labor unions 
[00:32.27]and other organizations 
[00:34.24]may now spend as they wish 
[00:37.12]on independent efforts 
[00:39.15]to elect or defeat candidates.
[00:42.53]The ruling is based 
[00:44.35]on the idea in the United States 
[00:46.93]and many other countries 
[00:48.91]that a corporation 
[00:50.58]is a legal person.
[00:53.10]Historian Jeff Sklansky says
[00:55.67]a slow shift to personhood 
[00:58.71]for American companies 
[01:00.32]began with a Supreme Court 
[01:03.36]ruling in eighteen nineteen. 
[01:05.43]It said states cannot interfere 
[01:09.53]with private contracts 
[01:11.59]creating corporations.
[01:14.28]In the ruling, 
[01:15.65]Chief Justice John Marshall 
[01:17.71]described a corporation 
[01:19.28]as an "artificial being" 
[01:21.80]that is a "creature of the law."
[01:24.99]The ruling was unpopular. 
[01:27.27]It came as Americans 
[01:29.29]resisted big corporations 
[01:31.82]like the First Bank 
[01:33.73]of the United States, 
[01:35.36]chartered by Congress. 
[01:37.33]Some states passed laws 
[01:39.91]permitting themselves to change 
[01:42.29]or even cancel corporate charters.
[01:46.68]After the Civil War 
[01:48.20]in the eighteen sixties, 
[01:49.81]the Fourteenth Amendment 
[01:52.88]was added to the Constitution. 
[01:55.15]It provides that no state 
[01:57.93]may "deprive any person of life, 
[02:01.02]liberty or property, 
[02:03.55]without due process of law ... " 
[02:06.48]If a corporation is legally a person, 
[02:10.22]then states cannot 
[02:12.14]limit corporate rights 
[02:14.11]without due process of law either.
[02:17.19]At first, corporations
[02:19.52]were not fully recognized as persons. 
[02:22.40]But Jeff Sklansky 
[02:25.15]at Oregon State University 
[02:27.12]says that changed.
[02:29.14]JEFF SKLANSKY: "The general 
[02:29.80]direction of the Supreme Court 
[02:31.67]and the federal courts 
[02:32.78]in general was to recognize 
[02:35.36]corporations as persons 
[02:38.34]with the same Fourteenth 
[02:40.36]Amendment rights as individuals."
[02:41.83]Yet corporations have a right 
[02:44.71]that real people do not: 
[02:46.73]limited liability. 
[02:48.96]For example, a corporation 
[02:51.13]can face civil or criminal fines 
[02:54.26]and individual lawbreakers 
[02:57.19]can go to jail. 
[02:59.17]But limited liability means 
[03:01.69]the actions of a corporation 
[03:04.12]are not the responsibility 
[03:06.40]of its shareholders.
[03:08.32]Jeff Sklansky says 
[03:10.23]the nineteenth century development 
[03:12.51]of limited liability 
[03:14.59]helped shape the modern corporation.
[03:17.72]JEFFREY SKLANSKY: "That is also crucial 
[03:20.04]to allowing corporations 
[03:22.17]a kind of independent personhood 
[03:24.89]and separating ownership 
[03:28.23]from control or ownership 
[03:30.56]from management.
[03:33.08]So [the idea is] that I can invest 
[03:37.10]in a corporation without becoming liable 
[03:40.38]for all its debts. 
[03:42.25]That's a really big deal. 
[03:43.52]Without it, 
[03:44.57]anything like the modern stock market, 
[03:47.81]I'd say, is impossible."
[03:50.09]And that's the VOA Special English
[03:53.17]Economics Report, 
[03:54.84]written by Mario Ritter. 
[03:56.65]Next week, more on corporations 
[04:00.71]and the law. I'm Steve Ember.


</lrc>;
	}
}